Bug 1252813 (CVE-2015-5190) - CVE-2015-5190 pcs: Command injection with root privileges.
Summary: CVE-2015-5190 pcs: Command injection with root privileges.
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5190
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1253291 1253292 1253293 1253294
Blocks: 1252818
TreeView+ depends on / blocked
 
Reported: 2015-08-12 09:43 UTC by Adam Mariš
Modified: 2019-09-29 13:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A command injection flaw was found in the pcsd web UI. An attacker able to trick a victim that was logged in to the pcsd web UI into visiting a specially crafted URL could use this flaw to execute arbitrary code with root privileges on the server hosting the web UI.
Clone Of:
Environment:
Last Closed: 2015-09-01 14:04:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1700 normal SHIPPED_LIVE Important: pcs security update 2015-09-01 17:41:46 UTC

Description Adam Mariš 2015-08-12 09:43:16 UTC
It was reported that pcs package is vulnerable to command injection with root privileges.
A user supplied string is used to in running a system command. If the user
uses escape characters they can run a command as the root user on the system.

To do this the user must already have access to login to pcsd (Be a member of
the hacluster group).

Comment 3 Ján Rusnačko 2015-08-14 12:26:46 UTC
Acknowledgement:

This issue was discovered by Tomáš Jelínek of Red Hat.

Comment 4 errata-xmlrpc 2015-09-01 13:42:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1700 https://rhn.redhat.com/errata/RHSA-2015-1700.html


Note You need to log in before you can comment on or make changes to this bug.